package fos

import scala.util.parsing.input.Positional

/** Abstract Syntax Trees for terms. */
enum Term extends Positional:
  case Var(name: String)
  case Abs(v: String, t: Term)
  case App(t1: Term, t2: Term)
